# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_HArray1OfSurface Class Reference

`#include <PColPGeom_HArray1OfSurface.hxx>`

## Public Member Functions

Standard_EXPORT | PColPGeom_HArray1OfSurface (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColPGeom_HArray1OfSurface (const Standard_Integer Low, const Standard_Integer Up, const Handle(PGeom_Surface)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom_Surface)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_PGeom_Surface | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColPGeom_HArray1OfSurface ()
| PColPGeom_HArray1OfSurface (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColPGeom_HArray1OfSurfaceLowerBound () const
void | _CSFDB_SetPColPGeom_HArray1OfSurfaceLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray1OfSurfaceUpperBound () const
void | _CSFDB_SetPColPGeom_HArray1OfSurfaceUpperBound (const Standard_Integer p)
const PColPGeom_FieldOfHArray1OfSurface & | _CSFDB_GetPColPGeom_HArray1OfSurfaceData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColPGeom_FieldOfHArray1OfSurface | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColPGeom_FieldOfHArray1OfSurface | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_HArray1OfSurface::PColPGeom_HArray1OfSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColPGeom_HArray1OfSurface::PColPGeom_HArray1OfSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(PGeom_Surface)& | V
| ) |

PColPGeom_HArray1OfSurface::PColPGeom_HArray1OfSurface | ( |  | ) | `[inline]`

PColPGeom_HArray1OfSurface::PColPGeom_HArray1OfSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColPGeom_FieldOfHArray1OfSurface& PColPGeom_HArray1OfSurface::_CSFDB_GetPColPGeom_HArray1OfSurfaceData | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray1OfSurface::_CSFDB_GetPColPGeom_HArray1OfSurfaceLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray1OfSurface::_CSFDB_GetPColPGeom_HArray1OfSurfaceUpperBound | ( |  | ) | const`[inline]`

void PColPGeom_HArray1OfSurface::_CSFDB_SetPColPGeom_HArray1OfSurfaceLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray1OfSurface::_CSFDB_SetPColPGeom_HArray1OfSurfaceUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColPGeom_HArray1OfSurface::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColPGeom_FieldOfHArray1OfSurface PColPGeom_HArray1OfSurface::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColPGeom_HArray1OfSurface::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColPGeom_HArray1OfSurface::Length | ( |  | ) | const

Standard_Integer PColPGeom_HArray1OfSurface::Lower | ( |  | ) | const

Standard_EXPORT void PColPGeom_HArray1OfSurface::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom_Surface)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColPGeom_HArray1OfSurface::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColPGeom_HArray1OfSurface::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColPGeom_HArray1OfSurface::Upper | ( |  | ) | const

Standard_EXPORT Handle_PGeom_Surface PColPGeom_HArray1OfSurface::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColPGeom_FieldOfHArray1OfSurface PColPGeom_HArray1OfSurface::Data `[private]`

Standard_Integer PColPGeom_HArray1OfSurface::LowerBound `[private]`

Standard_Integer PColPGeom_HArray1OfSurface::UpperBound `[private]`

The documentation for this class was generated from the following file:

- PColPGeom_HArray1OfSurface.hxx